<?php
	
	class onCommentsActivityBeforeList extends cmsAction {
		
		public function run($items){
			
			$limit = cmsController::loadOptions('activity')['limit'];
			
			if(strpos($_SERVER['REQUEST_URI'], 'activity')){
			return $items;
			} else {
			$comments = $this->model->orderBy('date_pub', 'desc')->filterIsNull('is_deleted')->limit($limit)->getComments();
			}
			
			foreach($comments as $comment){
				$comment['description'] = !empty($comment['description']) ? 
				$comment['description'] : 
				' добавляет комментарий <a class="subject" href="'. $comment['target_url'] .'#comment_'.$comment['id'].'">'. html_strip($comment['target_title'], 50).'</a>
				<br/>'.html_clean($comment['content_html'], 50);
				$comment['user']['nickname'] = !empty($comment['user']['nickname']) ? $comment['user']['nickname'] :  $comment['author_name'];              
				$comment['date_diff'] = !empty($comment['date_diff']) ? $comment['date_diff'] : $comment['date_pub'];	
				
				$comments_mix[] = $comment;
			}
			
			$items = array_merge($items, $comments_mix);
			
			uasort($items, function($a, $b){
				return (strtotime($b['date_pub']) > strtotime($a['date_pub']));
			});
			
			return $items;
			
		}
		
	}
